# Uses of Class
org.codehaus.janino.Java.AbstractCompilationUnit

Packages that use Java.AbstractCompilationUnit
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.AbstractCompilationUnit in org.codehaus.janino

Subclasses of Java.AbstractCompilationUnit in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.CompilationUnit`
Representation of an "ordinary compilation unit" as explained in JLS9 7.3 (before Java 9 known as "compilation unit" and described in JLS8 7.3).
`static final class`
`Java.ModularCompilationUnit`
Represents a `ModularCompilationUnit` as specified in JLS11 7.3.
Methods in org.codehaus.janino that return Java.AbstractCompilationUnit
Modifier and Type
Method
Description
`protected Java.AbstractCompilationUnit`
JavaSourceIClassLoader.`findCompilationUnit(String className)`
Finds the Java source file for the named class through the configured 'source resource finder' and parses it.
`Java.AbstractCompilationUnit`
UnitCompiler.`getAbstractCompilationUnit()`
`Java.AbstractCompilationUnit`
Parser.`parseAbstractCompilationUnit()`
CompilationUnit := [ PackageDeclaration ] { ImportDeclaration } { TypeDeclaration }
Methods in org.codehaus.janino with parameters of type Java.AbstractCompilationUnit
Modifier and Type
Method
Description
`protected final ClassLoader`
SimpleCompiler.`compileToClassLoader(Java.AbstractCompilationUnit abstractCompilationUnit)`
Compiles the given compilation unit.
`void`
SimpleCompiler.`cook(Java.AbstractCompilationUnit abstractCompilationUnit)`
Cooks this compilation unit directly.
`static void`
Unparser.`unparse(Java.AbstractCompilationUnit acu, Writer w)`
Unparses the given `Java.AbstractCompilationUnit` to the given `Writer`.
`void`
Unparser.`unparseAbstractCompilationUnit(Java.AbstractCompilationUnit cu)`
Constructors in org.codehaus.janino with parameters of type Java.AbstractCompilationUnit
Modifier
Constructor
Description
``
`UnitCompiler(Java.AbstractCompilationUnit abstractCompilationUnit, IClassLoader iClassLoader)`

## Uses of Java.AbstractCompilationUnit in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.AbstractCompilationUnit
Modifier and Type
Method
Description
`Java.AbstractCompilationUnit`
DeepCopier.`copyAbstractCompilationUnit(Java.AbstractCompilationUnit subject)`
Methods in org.codehaus.janino.util with parameters of type Java.AbstractCompilationUnit
Modifier and Type
Method
Description
`Java.AbstractCompilationUnit`
DeepCopier.`copyAbstractCompilationUnit(Java.AbstractCompilationUnit subject)`
`void`
AbstractTraverser.`traverseAbstractCompilationUnit(Java.AbstractCompilationUnit acu)`
`void`
Traverser.`traverseAbstractCompilationUnit(Java.AbstractCompilationUnit acu)`
`void`
AbstractTraverser.`visitAbstractCompilationUnit(Java.AbstractCompilationUnit acu)`
`void`
Traverser.`visitAbstractCompilationUnit(Java.AbstractCompilationUnit cu)`